Un utente ha chiesto informazioni su AWS for WordPress di Wordpress

Errore irreversibile durante il tentativo di attivazione

Un utente ha chiesto 👇

Ciao,

Sto usando WordPress su AWS (presa dall’immagine AWS di Ubuntu 16.04) e ho provato ad attivare il plugin, ma ho trovato il seguente errore:

Fatal error: Cannot redeclare GuzzleHttpuri_template() (previously declared in /var/www/html/[SITE-NAME]/wp-content/plugins/wp-statistics/includes/vendor/guzzlehttp/guzzle/src/functions.php:17) in /var/www/html/[SITE-NAME]/wp-content/plugins/amazon-polly/vendor/aws/GuzzleHttp/functions.php on line 31

Questo plugin non sembra funzionare con il plugin WP-Statistics. Per favore aiutatemi e grazie!

Jake

Questo argomento è stato modificato 3 anni, 1 mese fa da.

(@habledgeal)

3 anni, 1 mese fa

Ricevo anche un errore irreversibile.

Errore irreversibile: il valore restituito dalla funzione non può essere utilizzato nel contesto scritto in /[path]/class-amazonpolly-admin.php online 436

Non ho il plugin WP-Statistics.

(@returncrusade)

3 anni, 1 mese fa

Errore irreversibile anche dopo aver cliccato su Attiva ??

Lanciatore di thread

(@tekfused)

3 anni, 1 mese fa

Sì, si installa perfettamente, l’errore è visibile solo all’attivazione e impedisce l’attivazione del plugin.

Donatore di plugin

(@stevenkword)

Dipendente WPEngine

3 anni, 1 mese fa

Grazie per le segnalazioni! Stiamo scavando e contatteremo il team di WP-Statistics, se necessario, quando identificheremo il conflitto. Altrimenti, continua e tieni d’occhio le notifiche degli aggiornamenti 😉

(@josegalego)

3 anni, 1 mese fa

Errore durante l’azione:

S3CF_Stream_Wrapper :: programma (Aws client S3 S3Client $, $ protocol = ‘s3’) dovrebbe essere compatibile con Aws client S3 StreamWrapper :: programma (Aws S3 S3ClientInterface $ client, $ protocol = ‘s3’, Aws CacheInterface $ cache = NULL) in /var/www/html/wp-content/plugins/amazon-s3-and-cloudfront/classes/as3cf-stream-wrapper.php online 3

Stesso errore, utilizzo del ruolo o delle credenziali IAM.

WP 4.9.4

Modificare:
Abbiamo provato a disabilitare alcuni plugin e abbiamo riscontrato alcune incompatibilità come di seguito:

Usiamo il plugin Amazon Web Services, con Delicious Brains che utilizza il suo WP Offload S3 Lite.

Dopo aver disabilitato il plug-in Amazon Web Services, Polly ha funzionato.

WP Offload S3 Lite è stato disabilitato perché richiede un plug-in Amazon Web Services. Sembra essere già installato. Attivalo adesso.
È possibile disattivare il plug-in WP Offload S3 Lite per rimuovere questa notifica.

Questa risposta è stata modificata 3 anni, un mese fa da. Causa: trova alcune incompatibilità

(@edgarcorrea)

3 anni, 1 mese fa

Ciao, aparece: errore fatale durante la pianificazione di attivare il plugin. Gracias por su ayuda
edgarcorrea

(@ danescra21)

3 anni fa

Ciao,
Sto usando WordPress 4.9.4 – en_AU e il tema con i seguenti plugin
Google Captcha (reCAPTCHA)
Contatore scene di lavoro
Accesso social
Il plugin Review
Editor della vista della barra laterale
Avatar utente WP
Page Builder di WPBakery
Yoast SEO

Ricevo il seguente errore durante il tentativo di attivazione di Amazon Polly
Non è stato possibile attivare un plug-in perché ha generato un errore irreversibile.

Errore irreversibile: il valore restituito dalla funzione non può essere utilizzato nel contesto scritto in /var/www/html/prodreviewnew/wordpress/wp-content/plugins/amazon-polly/admin/class-amazonpolly-admin.php online 470

(@ossccc)

3 anni fa

@ danescra21 Stavo facendo lo stesso errore. Ho cambiato la versione PHP da 5.4 a 5.5 e l’attivazione è stata eseguita senza problemi. Spero possa essere d’aiuto.

Donatore di plugin

(@stevenkword)

Dipendente WPEngine

3 anni fa

Ciao a tutti,

Sono stato in grado di raggiungere questo obiettivo nell’ultima settimana. Tuttavia, ho effettuato una richiesta di pull al repository GitHub che dovrebbe risolvere la maggior parte di questi conflitti di dipendenza dai plug-in. Queste modifiche dovrebbero essere applicate alla prossima versione ridotta nei prossimi giorni. Grazie per la vostra pazienza.

Donatore di plugin

(@tstachlewski)

3 anni fa

Ciao amici,
Chiudendo l’argomento, poiché si basa sull’ultimo test, una nuova versione del plugin (1.0.5) funziona correttamente con il plugin WP-Statistics citato nel primo commento. Se hai ancora problemi, faccelo sapere.

Saluti,
Tomasz

Was this helpful?

0 / 0

Lascia un commento 0

Your email address will not be published. Required fields are marked *